Statistics 21 Client on 64-bits Linux Enterprise getting installer cannot run in this UI mode. To specify the internace mode use I mode identifiers are GUI, console and Silent.

Technote (FAQ)


Question

I am trying to install Statistics 21 on Linux Red Hat 6.3 (64-bit). At the end of the install, it prompts me with a message "installer cannot run in this UI mode. To specify the interface mode use I mode identifiers are GUI, console and Silent." I have tried all listed options and am still getting the message.
What can I do to complete the install?

Answer

Linux Red Hat 64-bit is not a supported environment for IBM SPSS Statistics 21 client. We are a 32-bit application and thus need the 32-bit version of libstdc++ and other standard libraries for the OS. For Debian, there is the relatively simple workaround of installing the ia32-libs package. For RedHat it is more difficult to locate and determine which compatibility library packages are needed.

This is documented in the pre-requisites for installation -- see "IBM SPSS Statistics for Linux Installation Instructions (Single User)." Under System Requirements for IBM SPSS Statistics, we note the minimum hardware and software requirements for operating system:

SPSS Statistics was tested on and is supported on only Red Hat Enterprise Linux 5 and 6 and Debian 6. We do not expect any problems with distributions derived from Red Hat and Debian,
but we do not test or support them.

If you install on 64-bit Linux (which is not officially supported), you will also need to install ia32-libs from your distribution’s repository.

For any additional requirements, please see the Release Notes at http://www.ibm.com/support/docview.wss?uid=swg27024941.


Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

SPSS Statistics
Statistics Desktop

Software version:

21.0

Operating system(s):

Linux

Reference #:

1621703

Modified date:

2013-07-22

Translate my page

Machine Translation

Content navigation